package com.yushu.system.mapper;

import com.yushu.system.domain.SysMailLog;
import java.util.List;

/**
 * 邮件发送记录Mapper接口
 * 
 * @author yushu
 * @date 2024-12-13
 */
public interface SysMailLogMapper {
    
    /**
     * 查询邮件发送记录
     */
    SysMailLog selectSysMailLogByLogId(Long logId);

    /**
     * 查询邮件发送记录列表
     */
    List<SysMailLog> selectSysMailLogList(SysMailLog sysMailLog);

    /**
     * 新增邮件发送记录
     */
    int insertSysMailLog(SysMailLog sysMailLog);

    /**
     * 修改邮件发送记录
     */
    int updateSysMailLog(SysMailLog sysMailLog);

    /**
     * 删除邮件发送记录
     */
    int deleteSysMailLogByLogId(Long logId);

    /**
     * 批量删除邮件发送记录
     */
    int deleteSysMailLogByLogIds(Long[] logIds);

    /**
     * 清空邮件发送记录
     */
    int cleanMailLog();
}
